Bug 979977 - Incorrect warning text in section 17.6.1
Incorrect warning text in section 17.6.1
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.3.0
Assigned To: gsheldon
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 05:05 EDT by Martin Svehla
Modified: 2014-08-14 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:39:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-07-01 05:05:23 EDT
Document URL: http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/index.html

Section Number and Name: 17.6.1. Configure the JMS Server

Describe the issue: 
Warning text "The value of journal-file-size must be higher than the size of message sent to server, or the server won't be able to store the message." isn't entirely correct. HornetQ large messages can be larger than maximum journal file size (they are only limited by free disk space). See http://docs.jboss.org/hornetq/2.3.0.Final/docs/user-manual/html_single/index.html#large-messages for details.

Suggestions for improvement: 
The condition really is that journal-file-size must be higher or equal to min-large-message-size (100KiB by default)
Comment 1 Martin Svehla 2013-07-01 05:19:57 EDT
Alternatively the warning could mention that the user can use large messages settings to circumvent this limitation.
Comment 7 Scott Mumford 2014-02-26 00:14:28 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 8 Scott Mumford 2014-02-26 00:16:07 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 9 Martin Svehla 2014-02-26 04:41:59 EST
Looks good, thank you.

Note You need to log in before you can comment on or make changes to this bug.